Katello - Feature #6605

[RFE] Satellite 6: Using activation key to register system - see the username under 'Registered by’
column

07/14/2014 12:35 PM - Christine Fouant

Status: Closed
Priority: Normal
Assignee: Christine Fouant
Category: Web Ul
Target version: Katello 2.0
Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1020402 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/454
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1020402
++ This bug was initially created as a clone of Bug #805435 ++

Description of problem:
After registering a system using an activation key, we are not able to see the username under 'Registered By' colum on the Recently
Registered systems page (i.e https://satellite.example.com/rhn/systems/Reqistered.do )

Version-Release number of selected component (if applicable):
RHN Satellite v5.4.1

How reproducible:
Always

Steps to Reproduce:

1. Register a system using an activation key

3. What is the nature and description of the request?

System registered using an username/password has the respective username under Registered By column.

But, after registering a system using an activation key, not able to see the username under 'Registered By' colum on the Recently
Registered systems page
(i.e https:/satellite.example.com/rhn/systems/Registered.do )

4. Why does the customer need this? (List the business requirements here)
It is a basic business requirement that there be individual accountability for the use of entitlements that cost the company money.

5. How would the customer like to achieve this? (List the functional requirements here)

As per the customer, RFE should cover the following functionality:

--Satellite should behave the same way as RHN with respect to the "Registered by" field in the context of an activation key.
--Both the GUI and the API should permit setting/changing the "Registered by" field.

6. For each functional requirement listed in question 5, specify how Red Hat and the customer can test to confirm the requirement is
successfully implemented.

For system registered using an activation key, the user who had created the activation key should be displayed under Registered By
column.

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
No.

8. Does the customer have any specific timeline dependencies?
This will soon become an actual operational issue for them as they begin moving from RHN to Satellite. So they need it implemented
as soon as possible.

9. Is the sales team involved in this request and do they have any additional input?
10. List any affected packages or components.
RHN Satellite

11. Would the customer be able to assist in testing this functionality if implemented?
Yes.

--- Additional comment from prajakta on 2013-08-30 02:48:01 EDT ---
Hello
Any further updates on this would be helpful to set customer expectations.
Thank you.
--- Additional comment from Clifford Perry on 2013-10-11 09:57:04 EDT ---
(In reply to prajakta from comment #8)
Hello
Any further updates on this would be helpful to set customer expectations.

Thank you.

This was not correctly flagged/tracked. I've moved it to sat-ff for myself and Xixi to review in our weekly RFE calls.
Cliff

--- Additional comment from Clifford Perry on 2013-10-17 11:19:18 EDT ---

So agree, within Sat 5.6 code, we still shwo Unknown with systems registered by activation-keys.

So we could add the activation key maybe (vs username of person who created the key, since an Admin user may of created key for
usage by someone else in their Org).

Cliff

Associated revisions

Revision 1f66dcd3 - 08/27/2014 10:49 AM - Christine Fouant
fixes #6605 - Adds registered by to content host, BZ 1020402

Revision 3daa26ce - 08/27/2014 10:49 AM - Christine Fouant
fixes #6605 - Adds registered by to content host, BZ 1020402

Revision 0fc6016a - 08/27/2014 11:53 AM - Walden Raines

Merge pull request #4542 from cfouant/reg-by

fixes #6605 - Adds registered by to content host, BZ 1020402

Revision 4b7b440b - 08/27/2014 11:53 AM - Walden Raines
Merge pull request #4542 from cfouant/reg-by

fixes #6605 - Adds registered by to content host, BZ 1020402

History

#1 - 08/04/2014 10:44 PM - Eric Helms
- Tracker changed from Bug to Feature
- Target version set to 54
- Difficulty set to medium

- Triaged changed from No to Yes
#2 - 08/06/2014 06:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4542 added
- Pull request deleted ()

#3 - 08/18/2014 08:32 AM - Eric Helms

- Target version changed from 54 to 55

#4 - 08/27/2014 12:01 PM - Christine Fouant
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|1f66dcd37f7b37a9e52e2ae0b073dcd3c2f8bc7d.

#5 - 09/15/2014 02:19 PM - Eric Helms

- translation missing: en.field_release set to 13
